#define FF FORWARD
#define BB BACKWARD
#define STOP RELEASE
#include <AFMotor.h>
AF_DCMotor motorL(3);
AF_DCMotor motorR(1);
AF_DCMotor pinok(4);

char data=0;
int Speed = 255;

void setup() { 
  Serial1.begin(9600);
  motorL.setSpeed(150);
  motorR.setSpeed(150);
  pinok.setSpeed(255);
  pinok.run(RELEASE);
}

void loop() {
  
  motorL.setSpeed(Speed);
  motorR.setSpeed(Speed);
  if (Serial1.available())
  {
    data= Serial1.read();
    switch(data) 
    {
      case 'B': motorL.run(BB); motorR.run(BB); break;
      case 'F': motorL.run(FF); motorR.run(FF); break;
      case 'L': motorL.run(BB); motorR.run(FF); break;
      case 'R': motorL.run(FF); motorR.run(BB); break;
      case 'J': motorL.run(BB); break;
      case 'I': motorL.run(FF); break;
      case 'H': motorR.run(BB); break;
      case 'G': motorR.run(FF); break;
      case 'V':
      case 'v':
      case 'X':
      case 'x': pinok.run(BB); delay(200); pinok.run(FF); delay(200); pinok.run(STOP); break;
      case '1': Speed = 110; break;
      case '2': Speed = 120; break;
      case '3': Speed = 130; break;
      case '4': Speed = 140; break;
      case '5': Speed = 150; break;
      case '6': Speed = 160; break;
      case '7': Speed = 200; break;
      case '8': Speed = 220; break;
      case '9': Speed = 240; break;
      case 'q': Speed = 255; break;
    }
    delay(20);
    motorL.run(STOP);
    motorR.run(STOP);
  }
}